com.fasterxml.jackson.databind.introspect

## Interface ClassIntrospector.MixInResolver

All Known Implementing Classes:
  DeserializationConfig, MapperConfig, MapperConfigBase, SerializationConfig, SimpleMixInResolver

Enclosing class:
  ClassIntrospector

    public static interface ClassIntrospector.MixInResolver

Interface used for decoupling details of how mix-in annotation definitions are accessed (via this interface), and how they are stored (defined by classes that implement the interface)

### Method Summary

Methods
`ClassIntrospector.MixInResolver` `copy()` Method called to create a new, non-shared copy, to be used by different `ObjectMapper` instance, and one that should not be connected to this instance, if resolver has mutable state.
`Class<?>` `findMixInClassFor(Class<?> cls)` Method that will check if there are "mix-in" classes (with mix-in annotations) for given class

### Method Detail

#### findMixInClassFor

    Class<?> findMixInClassFor(Class<?> cls)

Method that will check if there are "mix-in" classes (with mix-in annotations) for given class

#### copy

    ClassIntrospector.MixInResolver copy()

Method called to create a new, non-shared copy, to be used by different `ObjectMapper` instance, and one that should not be connected to this instance, if resolver has mutable state. If resolver is immutable may simply return `this`.

Since:
  2.6